type Info = {
    decimals: number;
    name: string;
    innai: string;
    symbol: string;
    totalSupply: number;
    ratio: number;
    InnovaeMinted: number;
    InnovaeBurned: number;
    innaiStaked: number;
    innaiStakedUSD: number;
    innaiHarvested: number;
    innaiHarvestedUSD: number;
    InnovaeAge: number;
    InnovaeAgeDestroyed: number;
    updatedAt: number;
}

export function info({ block, timestamp }?: {
    block?: number;
    timestamp?: number;
}): Promise<Info>;

export function observeInfo(): {
    subscribe({ next, error, complete }: {
        next?(data: Info): any;
        error?(error: any): any;
        complete?: Function;
    }): any;
};



type User = {
    Innovae: number;
    InnovaeIn: number;
    InnovaeOut: number;
    InnovaeMinted: number;
    InnovaeBurned: number;
    InnovaeOffset: number;
    InnovaeAge: number;
    InnovaeAgeDestroyed: number;
    innaiStaked: number;
    innaiStakedUSD: number;
    innaiHarvested: number;
    innaiHarvestedUSD: number;
    innaiIn: number;
    innaiOut: number;
    usdOut: number;
    usdIn: number;
    updatedAt: number;
    innaiOffset: number;
    usdOffset: number;
}

export function user({ block, timestamp, user_address }: {
    block?: number;
    timestamp?: number;
    user_address: string;
}): Promise<User>;
